Как добавить загрузки к товару в opencart 1.5.1.3

Зачастую появляется необходимость добавить загружаемые файлы к товару в магазине. Это могут быть различные инструкции, схемы, какие-то дополнительные материалы и т.д. В OpenCart механизм привязки загрузок к товару в админке уже реализован. Вот только смысл его в том что работает это дело только из личного кабинета и загрузка сама по себе и является товаром.

Подробнее >>
Исправляем некорректное отображение баннеров в opencart 1.5.1.3

С этой статьи начинаю пробовать предоставлять информацию в видеоформате, на мой взгляд более удобном для посетителя. Все видео будут сниматься в разрешении 1024х768. Так что, если вы видите размытость при просмотре - не поленитесь в настройках плеера переключить режим воспроизведения

Подробнее >>
Один из способов реализации прокрутки jquery.carousel и подобных плагинах по свайпу в iphone и ipad

Если вам, как и мне, пришлось столкнуться с вопросом, как же все-таки сделать прокрутку контента в carousel-подобных плагинах по свайпу при просмотре вашего сайта на APPLE-девайсах, есть одно простое решение. Решений на самом деле конечно несколько, но это мне показалось наиболее удобным к реализации.

Подробнее >>
Решаем проблему некорректно работающих отчетов в опенкарт 1.5.1.3

Те, кто обновил свои магазины до новой версии движка или просто поставил новый opencart 1.5.1.3 должны были заметить, что отчеты в нем не работают или работают неправильно.

Проблема кроется в небольших неточностях в файлах моделей этих самых отчетов.

Подробнее >>
Как переделать модуль от старых версий opencart на opencart 1.5.x или ocstore 1.5

Наверное многие из Вас при поиске модуля для своего магазина на opencart новой версии столкнулись с тем, что найденный модуль предназначен для более старых версий 1.4.x.

При попытке установить такой модуль на opencart 1.5.х он естественно работать не будет, так как в новой версии много чего изменено.

Давайте рассмотрим на примере скачанного модуля для opencart 1.4.x, как его можно быстро адаптировать для работы с новой версией opencart 1.5.х или ocstore 1.5.

Подробнее >>